Skip to content

Session Event Stream

GET
/v1/sessions/{session_id}/events/stream
curl --request GET \
--url https://agents.lumalabs.ai/v1/sessions/example/events/stream \
--header 'Authorization: Bearer <token>'

The session's events as SSE, from the live tail unless Last-Event-ID, after_seq or last_entry_id resumes it.

session_id
required
Session Id
string
after_seq
Any of:
string

Resume after this event seq. Last-Event-ID, sent on reconnect, wins.

last_entry_id
Any of:
string

Resume after this cursor, as the legacy stream took it. Last-Event-ID and after_seq win.

token
Any of:
string

Single-use stream token from POST /v1/sessions/{session_id}/events/token, for hosts that cannot set an Authorization header on an SSE connection.

Last-Event-ID
Any of:
string

The session's events as Server-Sent Events.

Media typetext/event-stream

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}